<?php

/*
 * @file
 * Defines commerce_colissimo rates for "entreprise" rates table
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_nationale_access_f() {
  $rates = array(
    array(
      'weight' => 0.25,
      'price' => 508,
      ),
    array(
      'weight' => 0.5,
      'price' => 571,
      ),
    array(
      'weight' => 0.75,
      'price' => 634,
      ),
    array(
      'weight' => 1,
      'price' => 680,
      ),
    array(
      'weight' => 2,
      'price' => 751,
      ),
    array(
      'weight' => 3,
      'price' => 823,
      ),
    array(
      'weight' => 4,
      'price' => 898,
      ),
    array(
      'weight' => 5,
      'price' => 973,
      ),
    array(
      'weight' => 6,
      'price' => 1048,
      ),
    array(
      'weight' => 7,
      'price' => 1123,
      ),
    array(
      'weight' => 8,
      'price' => 1198,
      ),
    array(
      'weight' => 9,
      'price' => 1273,
      ),
    array(
      'weight' => 10,
      'price' => 1348,
      ),
    array(
      'weight' => 15,
      'price' => 1540,
      ),
    array(
      'weight' => 30,
      'price' => 2100,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_nationale_expert_f() {
  $rates = array(
    array(
      'weight' => 0.25,
      'price' => 568,
      ),
    array(
      'weight' => 0.5,
      'price' => 645,
      ),
    array(
      'weight' => 0.75,
      'price' => 714,
      ),
    array(
      'weight' => 1,
      'price' => 770,
      ),
    array(
      'weight' => 2,
      'price' => 841,
      ),
    array(
      'weight' => 3,
      'price' => 913,
      ),
    array(
      'weight' => 4,
      'price' => 988,
      ),
    array(
      'weight' => 5,
      'price' => 1063,
      ),
    array(
      'weight' => 6,
      'price' => 1138,
      ),
    array(
      'weight' => 7,
      'price' => 1213,
      ),
    array(
      'weight' => 8,
      'price' => 1288,
      ),
    array(
      'weight' => 9,
      'price' => 1363,
      ),
    array(
      'weight' => 10,
      'price' => 1438,
      ),
    array(
      'weight' => 15,
      'price' => 1630,
      ),
    array(
      'weight' => 30,
      'price' => 2190,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_nationale_services_f() {
  $rates = array(
    array(
      'weight' => 0.25,
      'price' => 568,
      ),
    array(
      'weight' => 0.5,
      'price' => 645,
      ),
    array(
      'weight' => 0.75,
      'price' => 714,
      ),
    array(
      'weight' => 1,
      'price' => 770,
      ),
    array(
      'weight' => 2,
      'price' => 841,
      ),
    array(
      'weight' => 3,
      'price' => 913,
      ),
    array(
      'weight' => 4,
      'price' => 988,
      ),
    array(
      'weight' => 5,
      'price' => 1063,
      ),
    array(
      'weight' => 6,
      'price' => 1138,
      ),
    array(
      'weight' => 7,
      'price' => 1213,
      ),
    array(
      'weight' => 8,
      'price' => 1288,
      ),
    array(
      'weight' => 9,
      'price' => 1363,
      ),
    array(
      'weight' => 10,
      'price' => 1438,
      ),
    array(
      'weight' => 15,
      'price' => 1630,
      ),
    array(
      'weight' => 30,
      'price' => 2190,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_access_om1() {
  $rates = array(
    array(
      'weight' => 0.5,
      'price' => 840,
      ),
    array(
      'weight' => 1,
      'price' => 1270,
      ),
    array(
      'weight' => 2,
      'price' => 1730,
      ),
    array(
      'weight' => 3,
      'price' => 2190,
      ),
    array(
      'weight' => 4,
      'price' => 2650,
      ),
    array(
      'weight' => 5,
      'price' => 3110,
      ),
    array(
      'weight' => 6,
      'price' => 3570,
      ),
    array(
      'weight' => 7,
      'price' => 4030,
      ),
    array(
      'weight' => 8,
      'price' => 4490,
      ),
    array(
      'weight' => 9,
      'price' => 4950,
      ),
    array(
      'weight' => 10,
      'price' => 5410,
      ),
    array(
      'weight' => 15,
      'price' => 7710,
      ),
    array(
      'weight' => 20,
      'price' => 10010,
      ),
    array(
      'weight' => 25,
      'price' => 12310,
      ),
    array(
      'weight' => 30,
      'price' => 14610,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_access_om2() {
  $rates = array(
    array(
      'weight' => 0.5,
      'price' => 1000,
      ),
    array(
      'weight' => 1,
      'price' => 1555,
      ),
    array(
      'weight' => 2,
      'price' => 2755,
      ),
    array(
      'weight' => 3,
      'price' => 3955,
      ),
    array(
      'weight' => 4,
      'price' => 5155,
      ),
    array(
      'weight' => 5,
      'price' => 6355,
      ),
    array(
      'weight' => 6,
      'price' => 7555,
      ),
    array(
      'weight' => 7,
      'price' => 8755,
      ),
    array(
      'weight' => 8,
      'price' => 9955,
      ),
    array(
      'weight' => 9,
      'price' => 11155,
      ),
    array(
      'weight' => 10,
      'price' => 12355,
      ),
    array(
      'weight' => 15,
      'price' => 18355,
      ),
    array(
      'weight' => 20,
      'price' => 24355,
      ),
    array(
      'weight' => 25,
      'price' => 30355,
      ),
    array(
      'weight' => 30,
      'price' => 36355,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_om1() {
  $rates = array(
    array(
      'weight' => 0.5,
      'price' => 1185,
      ),
    array(
      'weight' => 1,
      'price' => 1460,
      ),
    array(
      'weight' => 2,
      'price' => 1971,
      ),
    array(
      'weight' => 3,
      'price' => 2482,
      ),
    array(
      'weight' => 4,
      'price' => 2993,
      ),
    array(
      'weight' => 5,
      'price' => 3504,
      ),
    array(
      'weight' => 6,
      'price' => 4015,
      ),
    array(
      'weight' => 7,
      'price' => 4526,
      ),
    array(
      'weight' => 8,
      'price' => 5037,
      ),
    array(
      'weight' => 9,
      'price' => 5548,
      ),
    array(
      'weight' => 10,
      'price' => 6059,
      ),
    array(
      'weight' => 15,
      'price' => 8459,
      ),
    array(
      'weight' => 20,
      'price' => 11014,
      ),
    array(
      'weight' => 25,
      'price' => 13569,
      ),
    array(
      'weight' => 30,
      'price' => 16124,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_om2() {
  $rates = array(
    array(
      'weight' => 0.5,
      'price' => 1745,
      ),
    array(
      'weight' => 1,
      'price' => 2155,
      ),
    array(
      'weight' => 2,
      'price' => 3355,
      ),
    array(
      'weight' => 3,
      'price' => 4555,
      ),
    array(
      'weight' => 4,
      'price' => 5755,
      ),
    array(
      'weight' => 5,
      'price' => 6955,
      ),
    array(
      'weight' => 6,
      'price' => 8155,
      ),
    array(
      'weight' => 7,
      'price' => 9355,
      ),
    array(
      'weight' => 8,
      'price' => 10555,
      ),
    array(
      'weight' => 9,
      'price' => 11755,
      ),
    array(
      'weight' => 10,
      'price' => 12955,
      ),
    array(
      'weight' => 15,
      'price' => 18955,
      ),
    array(
      'weight' => 20,
      'price' => 24955,
      ),
    array(
      'weight' => 25,
      'price' => 30955,
      ),
    array(
      'weight' => 30,
      'price' => 36955,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone1() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1130,
      ),
    array(
      'weight' => 2,
      'price' => 1200,
      ),
    array(
      'weight' => 3,
      'price' => 1270,
      ),
    array(
      'weight' => 4,
      'price' => 1340,
      ),
    array(
      'weight' => 5,
      'price' => 1410,
      ),
    array(
      'weight' => 6,
      'price' => 1480,
      ),
    array(
      'weight' => 7,
      'price' => 1550,
      ),
    array(
      'weight' => 8,
      'price' => 1620,
      ),
    array(
      'weight' => 9,
      'price' => 1690,
      ),
    array(
      'weight' => 10,
      'price' => 1760,
      ),
    array(
      'weight' => 15,
      'price' => 2110,
      ),
    array(
      'weight' => 20,
      'price' => 2460,
      ),
    array(
      'weight' => 25,
      'price' => 2810,
      ),
    array(
      'weight' => 30,
      'price' => 3160,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone2() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1375,
      ),
    array(
      'weight' => 2,
      'price' => 1450,
      ),
    array(
      'weight' => 3,
      'price' => 1525,
      ),
    array(
      'weight' => 4,
      'price' => 1600,
      ),
    array(
      'weight' => 5,
      'price' => 1675,
      ),
    array(
      'weight' => 6,
      'price' => 1750,
      ),
    array(
      'weight' => 7,
      'price' => 1825,
      ),
    array(
      'weight' => 8,
      'price' => 1900,
      ),
    array(
      'weight' => 9,
      'price' => 1975,
      ),
    array(
      'weight' => 10,
      'price' => 2050,
      ),
    array(
      'weight' => 15,
      'price' => 2425,
      ),
    array(
      'weight' => 20,
      'price' => 2800,
      ),
    array(
      'weight' => 25,
      'price' => 3175,
      ),
    array(
      'weight' => 30,
      'price' => 3550,
      ),
  );

  return $rates;
}

/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone3() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1425,
      ),
    array(
      'weight' => 2,
      'price' => 1545,
      ),
    array(
      'weight' => 3,
      'price' => 1665,
      ),
    array(
      'weight' => 4,
      'price' => 1785,
      ),
    array(
      'weight' => 5,
      'price' => 1905,
      ),
    array(
      'weight' => 6,
      'price' => 2025,
      ),
    array(
      'weight' => 7,
      'price' => 2145,
      ),
    array(
      'weight' => 8,
      'price' => 2265,
      ),
    array(
      'weight' => 9,
      'price' => 2385,
      ),
    array(
      'weight' => 10,
      'price' => 2505,
      ),
    array(
      'weight' => 15,
      'price' => 3105,
      ),
    array(
      'weight' => 20,
      'price' => 3705,
      ),
    array(
      'weight' => 25,
      'price' => 4305,
      ),
    array(
      'weight' => 30,
      'price' => 4905,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone4() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1820,
      ),
    array(
      'weight' => 2,
      'price' => 1950,
      ),
    array(
      'weight' => 3,
      'price' => 2080,
      ),
    array(
      'weight' => 4,
      'price' => 2210,
      ),
    array(
      'weight' => 5,
      'price' => 2340,
      ),
    array(
      'weight' => 6,
      'price' => 2470,
      ),
    array(
      'weight' => 7,
      'price' => 2600,
      ),
    array(
      'weight' => 8,
      'price' => 2730,
      ),
    array(
      'weight' => 9,
      'price' => 2860,
      ),
    array(
      'weight' => 10,
      'price' => 2990,
      ),
    array(
      'weight' => 15,
      'price' => 3640,
      ),
    array(
      'weight' => 20,
      'price' => 4290,
      ),
    array(
      'weight' => 25,
      'price' => 4940,
      ),
    array(
      'weight' => 30,
      'price' => 5590,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone5() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1850,
      ),
    array(
      'weight' => 2,
      'price' => 2200,
      ),
    array(
      'weight' => 3,
      'price' => 2550,
      ),
    array(
      'weight' => 4,
      'price' => 2900,
      ),
    array(
      'weight' => 5,
      'price' => 3250,
      ),
    array(
      'weight' => 6,
      'price' => 3600,
      ),
    array(
      'weight' => 7,
      'price' => 3950,
      ),
    array(
      'weight' => 8,
      'price' => 4300,
      ),
    array(
      'weight' => 9,
      'price' => 4650,
      ),
    array(
      'weight' => 10,
      'price' => 5000,
      ),
    array(
      'weight' => 15,
      'price' => 6500,
      ),
    array(
      'weight' => 20,
      'price' => 8000,
      ),
    array(
      'weight' => 25,
      'price' => 9500,
      ),
    array(
      'weight' => 30,
      'price' => 11000,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone6() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1860,
      ),
    array(
      'weight' => 2,
      'price' => 2230,
      ),
    array(
      'weight' => 3,
      'price' => 2600,
      ),
    array(
      'weight' => 4,
      'price' => 2970,
      ),
    array(
      'weight' => 5,
      'price' => 3340,
      ),
    array(
      'weight' => 6,
      'price' => 3710,
      ),
    array(
      'weight' => 7,
      'price' => 4080,
      ),
    array(
      'weight' => 8,
      'price' => 4450,
      ),
    array(
      'weight' => 9,
      'price' => 4820,
      ),
    array(
      'weight' => 10,
      'price' => 5190,
      ),
    array(
      'weight' => 15,
      'price' => 6790,
      ),
    array(
      'weight' => 20,
      'price' => 8390,
      ),
    array(
      'weight' => 25,
      'price' => 9990,
      ),
    array(
      'weight' => 30,
      'price' => 11590,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone7() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 2365,
      ),
    array(
      'weight' => 2,
      'price' => 3130,
      ),
    array(
      'weight' => 3,
      'price' => 3895,
      ),
    array(
      'weight' => 4,
      'price' => 4660,
      ),
    array(
      'weight' => 5,
      'price' => 5425,
      ),
    array(
      'weight' => 6,
      'price' => 6190,
      ),
    array(
      'weight' => 7,
      'price' => 6955,
      ),
    array(
      'weight' => 8,
      'price' => 7720,
      ),
    array(
      'weight' => 9,
      'price' => 8485,
      ),
    array(
      'weight' => 10,
      'price' => 9250,
      ),
    array(
      'weight' => 15,
      'price' => 12450,
      ),
    array(
      'weight' => 20,
      'price' => 15650,
      ),
    array(
      'weight' => 25,
      'price' => 18850,
      ),
    array(
      'weight' => 30,
      'price' => 22050,
      ),
  );

  return $rates;
}


/**
 * Build an array of rates based on Colissimo recommandé Metropole price table
 * @return array
 *  The array has the following form:
 *  [0] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 *  [1] =>
 *    [weight] => weight limit,
 *    [reco] =>
 *      [order's amount limit] => price,
 *      [order's amount limit] => price,
 * ...
 */
function commerce_colissimo_entreprise_rates_11_entreprise_colissimo_expert_i_zone8() {
  $rates = array(
    array(
      'weight' => 1,
      'price' => 1860,
      ),
    array(
      'weight' => 2,
      'price' => 2230,
      ),
    array(
      'weight' => 3,
      'price' => 2600,
      ),
    array(
      'weight' => 4,
      'price' => 2970,
      ),
    array(
      'weight' => 5,
      'price' => 3340,
      ),
    array(
      'weight' => 6,
      'price' => 3710,
      ),
    array(
      'weight' => 7,
      'price' => 4080,
      ),
    array(
      'weight' => 8,
      'price' => 4450,
      ),
    array(
      'weight' => 9,
      'price' => 4820,
      ),
    array(
      'weight' => 10,
      'price' => 5190,
      ),
    array(
      'weight' => 15,
      'price' => 6790,
      ),
    array(
      'weight' => 20,
      'price' => 8390,
      ),
    array(
      'weight' => 25,
      'price' => 9990,
      ),
    array(
      'weight' => 30,
      'price' => 11590,
      ),
  );

  return $rates;
}
